#!/bin/bash
# Author: Wuzhibin
# Author: Pengcheng Qiu

# get current folder.
CMD_DIR=$(cd $(dirname $0); pwd)
cd "$CMD_DIR/.."
CURRENT_DIR=$(pwd)
echo User dir: "$CURRENT_DIR"
CONF_DIR="$CURRENT_DIR/conf"
ARGS=$*

# get file name.
FILE_PATH="$CURRENT_DIR/lib"
files=$(ls "$FILE_PATH")
for filename in $files
do
   echo Main Jar: $filename
done
if [[  -f "$CONF_DIR/application.yml" || -f "$CONF_DIR/bootstrap.yml" ]]; then
    echo "Startup app $filename with parameter: $ARGS "
    nohup java \
    -server \
    -Dspring.config.location="$CONF_DIR/" \
    -Dkoca.config.location="config" \
    -Duser.timezone=GMT+08 \
    -jar "$CURRENT_DIR/lib/$filename" \
    $ARGS \
    >./nohup.log 2>&1 &
else
    echo "Configuration folder or files is not exist."
fi
